LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Static Public Member Functions | List of all members
lldb::SBHostOS Class Reference

`#include <SBHostOS.h>`

## Static Public Member Functions
static lldb::SBFileSpec | GetProgramFileSpec ()
static lldb::SBFileSpec | GetLLDBPythonPath ()
static void | ThreadCreated (const char *name)
static lldb::thread_t | ThreadCreate (const char *name, void *(*thread_function)(void *), void *thread_arg, lldb::SBError *err)
static bool | ThreadCancel (lldb::thread_t thread, lldb::SBError *err)
static bool | ThreadDetach (lldb::thread_t thread, lldb::SBError *err)
static bool | ThreadJoin (lldb::thread_t thread, void **result, lldb::SBError *err)

## Detailed Description

Definition at line 18 of file SBHostOS.h.

## Member Function Documentation

static lldb::SBFileSpec lldb::SBHostOS::GetLLDBPythonPath | ( |  | ) |
| static

static lldb::SBFileSpec lldb::SBHostOS::GetProgramFileSpec | ( |  | ) |
| static

static bool lldb::SBHostOS::ThreadCancel | ( | lldb::thread_t | thread,
|  | lldb::SBError * | err
| ) |  |
| static

static lldb::thread_t lldb::SBHostOS::ThreadCreate | ( | const char * | name,
|  | void *(*)(void *) | thread_function,
|  | void * | thread_arg,
|  | lldb::SBError * | err
| ) |  |
| static

static void lldb::SBHostOS::ThreadCreated | ( | const char * | name | ) |
| static

static bool lldb::SBHostOS::ThreadDetach | ( | lldb::thread_t | thread,
|  | lldb::SBError * | err
| ) |  |
| static

static bool lldb::SBHostOS::ThreadJoin | ( | lldb::thread_t | thread,
|  | void ** | result,
|  | lldb::SBError * | err
| ) |  |
| static

The documentation for this class was generated from the following file:

- SBHostOS.h